@media screen and (min-width: 768px) {
    .api-documentation {
        width: 60%;
    }
}

.restricted-width-800 {
    max-width: 800px
}

.restricted-width-1024 {
    max-width: 1024px;
}

.selectDiv {
    padding-top: 30px;
    box-sizing: border-box;
}

.toggle {
    font-size: 18px;
}

.hand {
    cursor: pointer;
}

.body-text, .paper .paper-content {
    font-size: 15px;
}

.form-holder .form-elements .input-field, .form-holder .form-group .input-field {
    height: auto;
    min-height: 56px;
    width: 400px;
    margin-left: 20px;
}

.form-elements {
    width: 350px;
}

.picker__frame {
    position: relative;
}


button.btn.btn-accent, a.btn.btn-accent, button.btn-flat.btn-accent, a.btn-flat.btn-accent {
    margin-left: 20px;
}

.formClass {
    padding-top: 25px;
}

.add {
    margin-left: 200px;
}

.badge {
    font-size: 10pt;
    background-color: lightgray;
    border: solid 1px lightgray;
    border-radius: 10px 10px;
    padding: 1px 5px;
}

ul.bigger {
    width: 800px;
}

ul.triple-line li.bigger {
    height: 450px;
}

ul.biggest {
    width: 700px;
}

ul.triple-line li.biggest {
    height: 650px;
}

ul.big {
    width: 500px;
}

ul.triple-line li {
    height: 140px;
}

ul li.big {
    height: 300px;
}

ul li ul {
    margin-left: 30px;
}

ul li ul li {
    border: none;
}

ul li ul li:first-child {
    border: none;
}

ul {
    width: auto;
    max-width: 600px;
    border: none;
/*    padding-bottom: 10px;
    margin-left: 20px;*/
}

ul li:first-child {
    border-top: none;
}

ul li {
    color: black;
    border: none;
    width: auto;
    padding: 5px;
    white-space: nowrap;
}

ul.tile {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    grid-gap: 10px;
    list-style-type: none;
    padding: 0;
    margin: 0;
    width: 100%;
    max-width: 100%;

    > li {
        padding: 0;
        color: var(--item-fg-color);
        white-space: normal;
        border-radius: 5px;
        background-color: var(--item-bg-color);

        h2 {
            margin: 0 0 10px 0;
            font-family: "Light";
            font-weight: normal;
        }

        > a {
            color: var(--item-fg-color);
            white-space: normal;
            width: 100%;
            height: 100%;
            display: inline-block;
            padding: 20px;
        }
    }
}



ul.tile a {
    color: var(--link-light-fg-color);
}

ul.tile > li > div {
    padding: 0px 10px 10px 10px;
}

.leftmargin {
    margin-left: 10px;
}

.parameters .namn {
    width: 20%;
    text-transform: capitalize;
}

.parameters .beskrivning {
    width: 30%;
}

.parameters .typ {
    width: 20%;
}

.information .information {
    width: 30%;
}

.help-page h1,
.help-page .h1,
.help-page h2,
.help-page .h2,
.help-page h3,
.help-page .h3,
#body.help-page,
.help-page-table th,
.help-page-table pre,
.help-page-table p {
    font-size: 85%;
    font-family: "sans-serif", "Verdana", Frutiger, "Frutiger Linotype", "Dejavu Sans", "Helvetica Neue", Arial, sans-serif;
}
/*.help-page-table p {
    font-family: "Segoe UI Light", Frutiger, "Frutiger Linotype", "Dejavu Sans", "Helvetica Neue", Arial, sans-serif;
}*/

.help-page pre.wrapped {
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    white-space: pre-wrap;
}

.help-page .warning-message-container {
    margin-top: 20px;
    padding: 0 10px;
    color: #525252;
    background: #EFDCA9;
    border: 1px solid #CCCCCC;
}

.help-page-table {
    width: 100%;
    border-collapse: collapse;
    text-align: left;
    margin: 0px 0px 20px 0px;
    border-top: 1px solid #D4D4D4;
}

    .help-page-table th {
        text-align: left;
        font-weight: bold;
        border-bottom: 1px solid #D4D4D4;
        padding: 5px 6px 5px 6px;
    }

    .help-page-table td {
        border-bottom: 1px solid #D4D4D4;
        padding: 10px 8px 10px 8px;
        vertical-align: top;
    }

    .help-page-table pre,
    .help-page-table p {
        margin: 0px;
        padding: 0px;
        font-family: inherit;
        font-size: 100%;
    }

    .help-page-table tbody tr:hover td {
        background-color: #F3F3F3;
    }

span.isObsolete_api {
    opacity: .7;
}
span.isObsolete_api:before {
    content: "Obsolete";
    font-size: 150%;
    display: inline-block;
    color: orange;
}
tr.isObsolete td {
    opacity: .7;
}
tr.isRemoved td {
    opacity: .7;
}
tr.isObsolete td:first-child:before {
    content: "Obsolete";
    font-size: 0.9em;
    display: block;
    position: relative;
    top: -0.8em;
    margin: -0.8em;
    color: orange;
}
tr.isRemoved td:first-child:before {
    content: "Removed";
    font-size: 0.9em;
    display: block;
    position: relative;
    top: -0.8em;
    margin: -0.8em;
    color: red;
}

.help-page a:hover {
    background-color: transparent;
}

.help-page .sample-header {
    border: 2px solid #D4D4D4;
    background: #00497E;
    color: #FFFFFF;
    padding: 8px 15px;
    border-bottom: none;
    display: inline-block;
    margin: 10px 0px 0px 0px;
}

.help-page .sample-content {
    display: block;
    border-width: 0;
    padding: 15px 20px;
    background: #FFFFFF;
    border: 2px solid #D4D4D4;
    margin: 0px 0px 10px 0px;
}

.help-page .api-name {
    width: 40%;
}

.help-page .api-documentation {
    width: 60%;
}

.help-page .parameter-name {
    width: 20%;
}

.help-page .parameter-documentation {
    width: 40%;
}

.help-page .parameter-type {
    width: 20%;
}

.help-page .parameter-annotations {
    width: 20%;
}

.help-page h1,
.help-page .h1 {
    font-size: 36px;
    line-height: normal;
}

.help-page h2,
.help-page .h2 {
    font-size: 24px;
}

.help-page h3,
.help-page .h3 {
    font-size: 20px;
}

/*#body.help-page {
    font-size: 14px;
    line-height: 143%;
    color: #333;
}*/

.help-page a {
    color: #0000EE;
    text-decoration: none;
}

/*******************************************************************
    Test form css goes here
********************************************************************/

.code-dialog-anchor {
    position: relative;
}

.code-dialog {
    display: none;
    position: absolute;
    left: 5%;
    top: 5%;
    width: 90%;
    padding: 10px;
    background-color: white;
    border-top: solid 1px lightgray;
    border-left: solid 1px lightgray;
    border-right: solid 1px gray;
    border-bottom: solid 1px gray;
}

    .code-dialog header {
        text-align: center;
    }

        .code-dialog header input {
            position: absolute;
            top: 5px;
            right: 5px;
        }

    .code-dialog footer {
        text-align: center;
    }

    .code-dialog pre {
        min-height: 300px;
    }

.input-form-table {
    margin: 0;
}

    .input-form-table td {
        margin: 0;
        padding: 5px;
        border-bottom: solid 1px lightgray;
    }

.input-form-label-cell {
    vertical-align: top;
}

/*******************************************************************
    Spinner css goes here
********************************************************************/

#loading-spinner {
    display: none;
    position: fixed;
    margin: auto;
    margin-left: -250px;
    top: 50%;
    left: 50%;
    text-align: center;
}

.help-page .fa-spinner {
    font-size: 80pt;
}

label.fileLabel {
    position: relative !important;
}

.fileInput {
    color: rgba(0, 0, 0, 0.54);
    cursor: text;
    font-size: 13px;
}
